# Gets all of the chapters in the system. This method will scan all chapters and and return them to the caller. Endpoint: GET /chapters/{tenantId} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. ## Query parameters: - `fields` (string) The fields that you want to retrieve; if omitted, the entire object is returned. - `exclusiveStartKey` (string) The start key, if you're making a subsequent request ## Response 200 fields (application/json): - `address` (object) A complete address - `address.city` (string) The city of the address - `address.country` (string) The country ISO code - `address.country_name` (string) The full name of hte country - `address.county` (string) The county - `address.latitude` (number) - `address.line1` (string) The first line of the address - `address.line2` (string) The second line of the address - `address.line3` (string) The third line of the address - `address.longitude` (number) - `address.postal_code` (string) The zip/postal code - `address.state` (string) The state/province of the address - `address.time_zone_id` (string) - `custom_field_values` (array) - `custom_field_values.boolean_value` (boolean) The boolean value - `custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `custom_field_values.file_url_value` (string) The pointer to a file value - `custom_field_values.list_value` (array) The list value - `custom_field_values.numeric_value` (number) The numeric value - `custom_field_values.string_value` (string) The string value of the custom field - `custom_field_values.table_value` (array) A list of objects (a table) - `description` (string) Description of the chapter - `email_address` (string) The email address of the chapter - `enable_dues` (boolean) - `enable_new_member_email` (boolean) ALlow for new members to receive an email when they join this chapter - `hide_from_portal` (boolean) Whether or not this section is displayed in the portal - `id` (string, required) The unique, string identifier of this chapter - `is_active` (boolean) Whether this is an active chapter - `linked_organization_id` (string) The organization linked to this chapter, if the chapter owes dues/taxes to the main organization - `name` (string, required) The name of the chapter - `new_member_email` (object, required) The new member email - `new_member_email.bcc` (string) Anyone that should be bcc'ed on the email - `new_member_email.body` (string, required) The email body - `new_member_email.cc` (string) Anyone that should be cc'ed on the email - `new_member_email.from` (string) From email address - `new_member_email.from_name` (string) From name - `new_member_email.reply_to` (string) The reply to - `new_member_email.subject` (string, required) The email subject - `phone_number` (string) Chapter phone number - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_search_latlong` (string) A geocode for distance queries - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database - `type_id` (string, required) The type of chapter - `website` (string) Website of the chapter ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields